Bug 122222 - no multiple copies "lpr -#n"
no multiple copies "lpr -#n"
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-05-02 05:42 EDT by shrek-m
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-07 07:00:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description shrek-m 2004-05-02 05:42:05 EDT
Description of problem:
openoffice and other apps are not able to print multiple copies

testing from command-line
$ lpr -Pkyocera -#2 test.txt
--> only 1 copie and not 2 copies

ether   00:C0:02:xx:xx:xx

kyocera fs-1000+

# grep kyocera -A11 /etc/cups/printers.conf
<DefaultPrinter kyocera>
Info Created by redhat-config-printer 0.6.x
DeviceURI lpd://
State Idle
Accepting Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. try to print multiple copies under OOo and other apps
2. try to print multiple copies with lpr

Actual Results:  i get always only 1 copie

Expected Results:  the number of the selected copies should be printed

Additional info:

the same happens under fc1

$ rpm -qf `which lpr`

like expected,
updating OOo does not resolve this bug.
Comment 1 Tim Waugh 2004-05-07 04:52:23 EDT
What does this say (as root)?:

grep MaxCopies /etc/cups/cupsd.conf
Comment 2 shrek-m 2004-05-08 06:12:36 EDT
# grep MaxCopies /etc/cups/cupsd.conf
# MaxCopies: maximum number of copies that a user can request. Default is
#MaxCopies 100

changed to
MaxCopies 10
# service cups stop; sleep 10; service cups start

i tried "lp" "other drivers" and "jetdirect" in all variations as
user,root. eg.
# lp -n4 -d kyo-jet test.txt

--> nothing works , always 1 print, eg.
request id is kyo-jet-73 (1 file(s))
adding the file a second time is not a solution
# lp -n4 -dkyo-jet blabla.txt blabla.txt
request id is kyo-jet-77 (2 file(s))
--> 2 prints

printing from w2k-prof via \\this_samba_srv\kyocera
all is ok, i get the correct number of copies.
--> cupsd might not be the faulty part
Comment 3 Thomas M Steenholdt 2004-05-21 17:22:45 EDT
I'm seeing something like this, but noticed it when printing through
samba on FC2 (the released version)... When printing for MS office on
a windows machine to the printer share, printing more than one copy of
multi page print jobs, would result in pages printing in 1,1,2,2 order
instead of 1,2,1,2 order, regardless of the word Collate setting!

Any ideas if this is an entirely different bug or...?
Comment 4 Tim Waugh 2004-05-24 10:07:54 EDT
Different bug altogether.
Comment 5 Tim Waugh 2004-05-24 10:10:54 EDT
shrek-m: please do the following.

1. Set LogLevel to debug2 in /etc/cups/cupsd.conf.
2. 'service cups stop' as root
3. '> /var/log/cups/error_log' as root
4. 'service cups start' as root
5. echo test | lp -Pkyocera -#2

Then attach /var/log/cups/error_log to this bug report.  Thanks.
Comment 6 shrek-m 2004-10-06 13:49:14 EDT
the fc1-box does not exist anymore (harddisk-crash)

$ lp -n2 -d kyo test.txt
$ lpr -Pkyo -#2 test.txt

all works like expected under

$ cat /etc/fedora-release
Fedora Core release 2 (Tettnang)

$ rpm -q cups

# grep MaxCopies /etc/cups/cupsd.conf
# MaxCopies: maximum number of copies that a user can request. Default is
#MaxCopies 100

Note You need to log in before you can comment on or make changes to this bug.